UpBright 5V DC Charging Cable Power Cord Compatible with Hatteker RFC-588 RFC-598 RFC-690 RFC-692 RFC-696 RSCX-9598 RSCX-9598A RSCX-9588 RSCX-7568 RSCW-7800 RSCW-2018 Trimmer Hair Clipper Shaver Razor

$8.99

Replacement 5V DC charging cable power cord compatible with Hatteker trimmer, hair clipper, shaver and razor devices.

  • Output: 5V DC
  • Compatible Models: Hatteker RFC-588, RFC-598, RFC-690, RFC-692, RFC-696, RSCX-9598, RSCX-9598A, RSCX-9588, RSCX-7568, RSCW-7800 and RSCW-2018 trimmer, hair clipper, shaver and razor devices

Please confirm your device model, voltage and connector before ordering.

✓ In Stock✓ Fast Shipping✓ Secure Checkout✓ Compatibility Support

Trademark Notice: Third-party brand names and model numbers are used solely to identify compatibility. UpBright is an independent seller and is not affiliated with, endorsed by, or an authorized dealer of the referenced manufacturers. Unless expressly stated as Original or OEM, this is a third-party compatible replacement product. Products identified as Original or OEM are independently sourced and may not include the manufacturer’s warranty or support. Learn more

Category:

Product Description

This 5V DC charging cable power cord is listed for Hatteker trimmer, hair clipper, shaver and razor devices, including RFC-588, RFC-598, RFC-690 and RFC-692 models.

Product Specifications

Product Type Charging Cable Power Cord
Output 5V DC

Compatible Models

Compatible with the following models and part numbers:

  • Hatteker RFC-588
  • Hatteker RFC-598
  • Hatteker RFC-690
  • Hatteker RFC-692
  • Hatteker RFC-696
  • Hatteker RSCX-9598
  • Hatteker RSCX-9598 A
  • Hatteker RSCX-9588
  • Hatteker RSCX-7568
  • Hatteker RSCW-7800
  • Hatteker RSCW-2018

What Is Included

  • 1 × charging cable power cord

Compatibility Notice

A matching voltage does not always guarantee compatibility. Please compare the device model, output specifications, connector size and polarity with your original adapter before ordering.

Reviews

There are no reviews yet.

Only logged in customers who have purchased this product may leave a review.

has been added to the cart. View Cart